Version 6.7.7 Source

Table Name: `tabStock Ledger Entry`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `item_code` | Link | Item Code | Item
2 | `serial_no` | Text | Serial No |
3 | `batch_no` | Data | Batch No |
4 | `warehouse` | Link | Warehouse | Warehouse
5 | `posting_date` | Date | Posting Date |
6 | `posting_time` | Time | Posting Time |
7 | `voucher_type` | Link | Voucher Type | DocType
8 | `voucher_no` | Dynamic Link | Voucher No |
    voucher_type
9 | `voucher_detail_no` | Data | Voucher Detail No |
10 | `actual_qty` | Float | Actual Quantity |
11 | `incoming_rate` | Currency | Incoming Rate |
    Company:company:default_currency
12 | `outgoing_rate` | Currency | Outgoing Rate |
    Company:company:default_currency
13 | `stock_uom` | Link | Stock UOM | UOM
14 | `qty_after_transaction` | Float | Actual Qty After Transaction |
15 | `valuation_rate` | Currency | Valuation Rate |
    Company:company:default_currency
16 | `stock_value` | Currency | Stock Value |
    Company:company:default_currency
17 | `stock_value_difference` | Currency | Stock Value Difference |
    Company:company:default_currency
18 | `stock_queue` | Text | Stock Queue (FIFO) |
19 | `project` | Link | Project | Project
20 | `company` | Link | Company | Company
21 | `fiscal_year` | Data | Fiscal Year |
22 | `is_cancelled` | Select | Is Cancelled |
    No
    Yes

### Controller

#### erpnext.stock.doctype.stock_ledger_entry.stock_ledger_entry

### Class StockFreezeError

Inherits from frappe.exceptions.ValidationError

### Class StockLedgerEntry

Inherits from frappe.model.document.Document

actual_amt_check (self)

No docs

check_stock_frozen_date (self)

No docs

on_submit (self)

No docs

scrub_posting_time (self)

No docs

validate (self)

No docs

validate_batch (self)

No docs

validate_item (self)

No docs

validate_mandatory (self)

No docs

erpnext.stock.doctype.stock_ledger_entry.stock_ledger_entry.on_doctype_update ()

No docs